<!DOCTYPE HTML>
<html>
<head>
  <title>Media test: seek test 7</title>
  <script type="text/javascript" src="/MochiKit/MochiKit.js"></script>
  <script type="text/javascript" src="/tests/SimpleTest/SimpleTest.js"></script>
  <link rel="stylesheet" type="text/css" href="/tests/SimpleTest/test.css" />
</head>
<body>
<video id='v'
       src='seek.ogg'
       onloadedmetadata='return startTest();'
       onseeked='return seekEnded();'></video>
<pre id="test">
<script class="testbody" type="text/javascript">
// Test for bug identified by Chris Pearce in comment 40 on
// bug 449159.
var v = document.getElementById('v');
var seekCount = 0;
var completed = false;
var interval;

function startTest() {
  if (completed)
    return false;

  interval = setInterval(function() { v.currentTime=Math.random()*3; }, 10);
  return false;
}

function seekEnded() {
  if (completed)
    return false;

  seekCount++;
  ok(true, "Seek " + seekCount);
  if (seekCount == 3) {
    clearInterval(interval);
    completed = true;
    SimpleTest.finish();
  }
  return false;
}

SimpleTest.waitForExplicitFinish();
</script>
</pre>
</body>
</html>
